Skip to main content
GET
/
api
/
v1
/
sender-profiles
/
search
Search Sender Profiles
curl --request GET \
  --url https://api.example.com/api/v1/sender-profiles/search/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "user_id": "<string>",
    "profile_name": "<string>",
    "sender_data": {
      "data": {}
    },
    "id": "<string>",
    "description": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "usage_count": 0,
    "is_default": false
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required
limit
integer
default:20

Response

Successful Response

user_id
string
required

User ID who owns this profile

profile_name
string
required

User-friendly name for this profile (e.g., 'Sales Team Profile', 'Personal Brand')

Required string length: 1 - 100
sender_data
DynamicSenderData · object
required

The actual sender data with arbitrary fields

id
string | null

Unique profile identifier

description
string | null

Optional description of when/how to use this profile

Maximum string length: 500
created_at
string<date-time> | null

Profile creation timestamp

updated_at
string<date-time> | null

Last update timestamp

usage_count
integer
default:0

Number of times this profile has been used

is_default
boolean
default:false

Whether this is the default profile